Lots of changes in curacao

This commit is contained in:
Geoffrey Frogeye 2018-10-08 23:52:53 +02:00
parent 4bf544c9be
commit 3d24d97d51
16 changed files with 46 additions and 21 deletions

4
bashrc
View file

@ -6,8 +6,8 @@
# Favourite commands # Favourite commands
export PAGER=less export PAGER=less
export EDITOR=vim export EDITOR=nvim
export VISUAL=vim export VISUAL=nvim
export BROWSER=qutebrowser export BROWSER=qutebrowser
# Some programs need those changes # Some programs need those changes

3
config/autorandr/bg Normal file
View file

@ -0,0 +1,3 @@
# Derivate of these ones https://wallpapers.wallhaven.cc/wallpapers/full/wallhaven-230622.png
https://geoffrey.frogeye.fr/files/backgrounds/VertBleu.png
# https://geoffrey.frogeye.fr/files/backgrounds/BleuVert.png

View file

@ -1,10 +1,26 @@
#!/usr/bin/env bash #!/usr/bin/env bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
# From https://stackoverflow.com/a/246128
# Relaunch the bars # Relaunch the bars
# i3-msg exec ~/.config/polybar/launch.sh # i3-msg exec ~/.config/polybar/launch.sh
# TODO Make something better with that # TODO Make something better with that
i3-msg exec ~/.config/lemonbar/launch.sh i3-msg exec ~/.config/lemonbar/launch.sh
# Resize background # Resize background
feh --bg-fill ~/.config/i3/bg.jpg BGDIR="$HOME/.cache/background"
mkdir -p "$BGDIR"
list="$DIR/bg"
url="$(cat "$list" | sed -e 's/#.*$//' -e 's/ \+$//' -e '/^$/d' | sort -R | head -1)"
hash="$(printf "$url" | md5sum | cut -f1 -d' ')"
filepath="$BGDIR/$hash"
if [ ! -e "$filepath" ]; then
wget -c "$url" -O "$filepath"
fi
feh --bg-fill "$filepath"

Binary file not shown.

Before

Width:  |  Height:  |  Size: 173 KiB

View file

@ -38,8 +38,8 @@ bindsym $mod+z kill
bindsym button2 kill bindsym button2 kill
bindsym $mod+c exec --no-startup-id rofi-pass --last-used bindsym $mod+c exec --no-startup-id rofi-pass --last-used
bindsym $mod+asterisk exec --no-startup-id rofi -modi ssh -show ssh bindsym $mod+plus exec --no-startup-id rofi -modi ssh -show ssh
bindsym $mod+dollar exec --no-startup-id rofi -modi ssh -show ssh -ssh-command '{terminal} -e {ssh-client} {host} -t "sudo -s -E"' bindsym $mod+ù exec --no-startup-id rofi -modi ssh -show ssh -ssh-command '{terminal} -e {ssh-client} {host} -t "sudo -s -E"'
bindsym $mod+Tab exec --no-startup-id rofi -modi window -show window bindsym $mod+Tab exec --no-startup-id rofi -modi window -show window
# start program launcher # start program launcher
@ -48,6 +48,7 @@ bindsym $mod+Shift+d exec --no-startup-id rofi -modi drun -show drun
# Start Applications # Start Applications
bindsym $mod+Return exec urxvtc bindsym $mod+Return exec urxvtc
bindsym $mod+Shift+Return exec urxvt
bindsym $mod+p exec thunar bindsym $mod+p exec thunar
bindsym $mod+m exec qutebrowser --override-restore --backend=webengine bindsym $mod+m exec qutebrowser --override-restore --backend=webengine
@ -64,8 +65,8 @@ bindsym $mod+F11 exec urxvtc -e 'pacmixer'
bindsym $mod+F12 exec urxvtc -e 'pacmixer' bindsym $mod+F12 exec urxvtc -e 'pacmixer'
#Brightness control #Brightness control
bindsym XF86MonBrightnessDown exec xbacklight -dec 20 -time 0 bindsym XF86MonBrightnessDown exec xbacklight -dec 5 -time 0
bindsym XF86MonBrightnessUp exec xbacklight -inc 20 -time 0 bindsym XF86MonBrightnessUp exec xbacklight -inc 5 -time 0
# Screenshots # Screenshots
bindsym Print exec scrot -ue 'mv $f ~/Screenshots/' bindsym Print exec scrot -ue 'mv $f ~/Screenshots/'

View file

@ -1,5 +1,4 @@
#!/usr/bin/env python3 #!/usr/bin/env python3
from providers import * from providers import *
# TODO If multiple screen, expand the sections and share them # TODO If multiple screen, expand the sections and share them

View file

@ -223,6 +223,8 @@ class PulseaudioProvider(StatefulSection, ThreadedUpdater):
icon = "" icon = ""
elif sink.port_active.name == "analog-output-speaker": elif sink.port_active.name == "analog-output-speaker":
icon = "" if sink.mute else "" icon = "" if sink.mute else ""
elif sink.port_active.name == "headset-output":
icon = ''
else: else:
icon = "?" icon = "?"
vol = pulse.volume_get_all_chans(sink) vol = pulse.volume_get_all_chans(sink)
@ -265,7 +267,7 @@ class NetworkProviderSection(StatefulSection, Updater):
self.icon = '' self.icon = ''
else: else:
self.icon = '' self.icon = ''
elif self.iface.startswith('wlan') or self.iface.startswith('wlp'): elif self.iface.startswith('wlan') or self.iface.startswith('wl'):
self.icon = '' self.icon = ''
if self.showSsid: if self.showSsid:
cmd = ["iwgetid", self.iface, "--raw"] cmd = ["iwgetid", self.iface, "--raw"]

View file

@ -10,7 +10,7 @@
# be disabled and audio files will only be accepted over ipc socket (using # be disabled and audio files will only be accepted over ipc socket (using
# file:// protocol) or streaming files over an accepted protocol. # file:// protocol) or streaming files over an accepted protocol.
# #
music_directory "~/Musique" music_directory "~/Musiques"
# #
# This setting sets the MPD internal playlist directory. The purpose of this # This setting sets the MPD internal playlist directory. The purpose of this
# directory is storage for playlists created by MPD. The server will use # directory is storage for playlists created by MPD. The server will use

View file

@ -83,7 +83,8 @@ config.bind('T', None)
import os import os
dirname = os.path.dirname(__file__) dirname = os.path.dirname(__file__)
filename = os.path.join(dirname, 'theme.py') filename = os.path.join(dirname, 'theme.py')
exec(open(filename).read()) with open(filename) as file:
exec(file.read())
# Uncomment this to still load settings configured via autoconfig.yml # Uncomment this to still load settings configured via autoconfig.yml
config.load_autoconfig() config.load_autoconfig()

View file

@ -1 +0,0 @@
/usr/lib/systemd/user/offlineimap.service

View file

@ -3,7 +3,7 @@
email = geoffrey@frogeye.fr email = geoffrey@frogeye.fr
signingkey = D8A7ECA00A8CD3DD signingkey = D8A7ECA00A8CD3DD
[core] [core]
editor = vim editor = nvim
excludesfile = ~/.gitignore excludesfile = ~/.gitignore
[push] [push]
default = matching default = matching

View file

@ -20,7 +20,7 @@ chmod +x ~/.local/bin/colorSchemeApply
curl "https://raw.githubusercontent.com/chriskempson/base16-xresources/master/xresources/base16-${scheme}-256.Xresources" > ~/.Xresources.d/theme curl "https://raw.githubusercontent.com/chriskempson/base16-xresources/master/xresources/base16-${scheme}-256.Xresources" > ~/.Xresources.d/theme
# Vim # Vim
echo -e "let base16colorspace=256\nset termguicolors\ncolorscheme base16-${scheme}" > ~/.vim/colorscheme.vim echo -e "let base16colorspace=256\n\"set termguicolors\ncolorscheme base16-${scheme}" > ~/.vim/colorscheme.vim
# FZF # FZF
curl "https://raw.githubusercontent.com/nicodebo/base16-fzf/master/bash/base16-${scheme}.config" > ~/.local/bin/colorSchemeApplyFzf curl "https://raw.githubusercontent.com/nicodebo/base16-fzf/master/bash/base16-${scheme}.config" > ~/.local/bin/colorSchemeApplyFzf

View file

@ -59,14 +59,18 @@ inst wget
pacman -Q aurman &> /dev/null pacman -Q aurman &> /dev/null
if [[ $AURMAN == 1 && $? == 1 ]]; then if [[ $AURMAN == 1 && $? == 1 ]]; then
gpg --recv-keys 465022E743D71E39
installPKGBUILD "https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h=aurman" installPKGBUILD "https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h=aurman"
fi fi
# Git for /etc # Git for /etc
inst etckeeper inst etckeeper
sudo etckeeper init sudo etckeeper init
(cd /etc/; sudo git config user.name "etckeeper on $(cat /etc/hostname)"; sudo git config user.email "etckeeper@$(cat /etc/hostname)")
sudo etckeeper commit "~/.dotfiles/scripts/install-arch commit" sudo etckeeper commit "~/.dotfiles/scripts/install-arch commit"
# Uninstall Manjaro's pamac # Uninstall Manjaro's pamac
if pacman -Q pamac &> /dev/null ; then if pacman -Q pamac &> /dev/null ; then
sudo pacman -Rsc pamac --noconfirm sudo pacman -Rsc pamac --noconfirm

View file

@ -175,8 +175,8 @@ function altInst {
} }
function systemdUserUnit { function systemdUserUnit {
systemctl enable "$1" systemctl --user enable "$1"
systemctl start "$1" systemctl --user start "$1"
} }
# Common CLI # Common CLI
@ -233,7 +233,7 @@ if [ $GUI == 1 ]; then
# Desktop manager # Desktop manager
inst dunst feh i3-wm i3lock numlockx qutebrowser rofi rxvt-unicode scrot trayer unclutter xautolock xclip inst dunst feh i3-wm i3lock numlockx qutebrowser rofi rxvt-unicode scrot trayer unclutter xautolock xclip
if [ $ARCH == 1 ]; then if [ $ARCH == 1 ]; then
inst xorg-xinit xorg-backlight inst xorg-xinit xorg-xbacklight
altInst lemonbar-xft-git autorandr-git keynav-enhanced pacmixer rofi-pass altInst lemonbar-xft-git autorandr-git keynav-enhanced pacmixer rofi-pass
elif [ $DEBIAN == 1 ]; then elif [ $DEBIAN == 1 ]; then
# TODO autorandr pacmixer rofi-pass # TODO autorandr pacmixer rofi-pass
@ -261,10 +261,11 @@ if [ $EXTRA == 1 ]; then
fi fi
# Extra CLI # Extra CLI
inst ffmpeg optipng syncthing mutt jq inst ffmpeg optipng syncthing mutt notmuch mbsync jq
inst unzip unrar jdupes bedup
systemdUserUnit syncthing systemdUserUnit syncthing
if [ $ARCH == 1 ]; then if [ $ARCH == 1 ]; then
insta pandoc youtube-dl translate-shell insta pandoc youtube-dl translate-shell imagemagick
altInst insect pdftk visidata altInst insect pdftk visidata
# Orga # Orga

View file

@ -52,7 +52,7 @@ function _machines-api {
wget $MACHINES_API/$route --content-on-error --quiet --output-document=- "$@" wget $MACHINES_API/$route --content-on-error --quiet --output-document=- "$@"
result=$? result=$?
if [ $result != 0 ]; then if [ $result != 0 ]; then
echo "[ERROR] wget returned $result..." 1>&2; echo "[ERROR] wget returned $result for route $route" 1>&2;
exit 2 exit 2
fi fi
} }

View file

@ -8,7 +8,6 @@
[ -f ~/.Xresources ] && xrdb ~/.Xresources [ -f ~/.Xresources ] && xrdb ~/.Xresources
setxkbmap fr oss
xset b off xset b off
export GTK2_RC_FILES="$HOME/.gtkrc-2.0" export GTK2_RC_FILES="$HOME/.gtkrc-2.0"